# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-08-27 12:26
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import trunk.utils


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('trunk', '0034_univeristyexporthistory_category'),
    ]

    operations = [
        migrations.CreateModel(
            name='RoadMap',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('column_names', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=50), blank=True, size=None)),
                ('university', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='trunk.University')),
            ],
        ),
        migrations.CreateModel(
            name='RoadMapBlock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('text', models.TextField(default=None, null=True)),
                ('char_limit', models.PositiveIntegerField(blank=True, default=None, null=True)),
                ('image', models.ImageField(blank=True, default=None, max_length=700, null=True, upload_to=trunk.utils.get_rmblock_image_url)),
                ('website', models.URLField(default=None, max_length=500, null=True)),
                ('column', models.PositiveIntegerField(blank=True, default=None, null=True)),
                ('time_created', models.DateField(blank=True, default=None, null=True)),
                ('header', models.TextField(default=None, null=True)),
                ('access_admins', models.ManyToManyField(default=None, null=True, to=settings.AUTH_USER_MODEL)),
                ('road_map', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='trunk.RoadMap')),
                ('university', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='trunk.University')),
            ],
        ),
    ]
